package com.zepchat.core.transport;

import com.zepchat.core.data.Message;
import com.zepchat.core.data.User;

/**
 * Created by Ziver on 2014-11-06.
 */
public interface ZEPDiscoveryTransport {

    public abstract void start();
    public abstract void scan();
    public abstract void close();


    public void setUserStatusListener(UserStatusListener userListener);
    public interface UserStatusListener{
        public void addRemoteUser(User user);

        public void removeRemoteUser(User user);
    }
}
